Package com.xebialabs.xlrelease.domain

# Class BaseConfiguration

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

Direct Known Subclasses:
  `Application`, `BaseSettings`, `Configuration`, `DeploymentState`, `Environment`, `FeatureSettings`, `FolderVersioningSettings`, `LiveDeployment`, `RiskGlobalThresholds`, `RiskProfile`, `SystemMessageSettings`, `TaskAccess`, `Variable`

@Metadata(root=CONFIGURATION, versioned=false, virtual=true) public class BaseConfiguration extends BaseConfigurationItem
Base class for configuration and all global settings in the application.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getCiUid()`
  `String`
  `getFolderId()`
  `String`
  `getTitle()`
  `boolean`
  `hasId()`
  `boolean`
  `isSupportedOn(BaseConfigurationScope scope)`
  `void`
  `setCiUid(Integer ciUid)`
  `void`
  `setFolderId(String folderId)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BaseConfiguration

    public BaseConfiguration()

- ## Method Details

  - ### getFolderId

    public String getFolderId()

  - ### setFolderId

    public void setFolderId(String folderId)

  - ### hasId

    public boolean hasId()

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### isSupportedOn

    public boolean isSupportedOn(BaseConfigurationScope scope)

  - ### getCiUid

    public Integer getCiUid()

  - ### setCiUid

    public void setCiUid(Integer ciUid)